Subject: Re: Cygwin B20.1
From: [email-masked] (Michael Hirmke)

10 Jan 1999 13:45:05 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Gennady,

>Hello Everybody.
>
>     I have a batch file called build.bat. Now when I type in "build" I
>get "BASH.EXE: build: command not found", but "build.bat" works fine as
>expected. It seems that when bash is executing the command it doesn't
>process BAT files...

bash and all the other Unix tools never care for file extensions like
..bat or .com - they treat the filename as is, so you always have to use
the complete filename, when you want to run the file. One exception to
this rule are .exe files because of a patch to the cygwin dll.
The easiest way is to omit the file extension on all files - even on
..exe files.

[...]
>
>G.F.

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://aquarius.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".